<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_height="match_parent"
    android:layout_width="match_parent">

    <android.support.v4.widget.DrawerLayout
        android:id="@+id/drawer_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent" >

        <android.support.design.widget.CoordinatorLayout
            android:id="@+id/activity_main_coordinator_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            tools:context="com.pessinapps.easymeal.activities.MainActivity">

            <android.support.design.widget.AppBarLayout
                android:id="@+id/appBarLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <android.support.v7.widget.Toolbar
                    android:id="@+id/toolbar_main"
                    app:titleTextColor="@android:color/white"
                    android:layout_width="match_parent"
                    app:layout_scrollFlags="scroll|enterAlways|snap"
                    app:contentInsetLeft="0dp"
                    app:contentInsetStart="0dp"
                    app:contentInsetStartWithNavigation="0dp"
                    app:titleMarginStart="0dp"
                    android:layout_height="48dp"
                    android:background="@color/colorPrimary">

                    <Spinner
                        android:id="@+id/shopfinder_spinner"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:visibility="gone"/>

                </android.support.v7.widget.Toolbar>

                <android.support.design.widget.TabLayout
                    android:id="@+id/tab_layout_main"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:tabTextColor="@color/colorPrimaryLight"
                    app:tabSelectedTextColor="@color/colorWhite"
                    app:tabIndicatorColor="@color/colorAccent"
                    android:theme="@style/ThemeOverlay.AppCompat.Dark.ActionBar"/>
            </android.support.design.widget.AppBarLayout>

            <android.support.v4.view.ViewPager
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                app:layout_behavior="@string/appbar_scrolling_view_behavior"
                android:id="@+id/view_pager_main"
                tools:context=".activities.MainActivity"/>

        </android.support.design.widget.CoordinatorLayout>

        <android.support.design.widget.NavigationView
            android:id="@+id/left_drawer"
            android:layout_width="280dp"
            android:layout_height="match_parent"
            android:layout_gravity="start"
            android:choiceMode="singleChoice"
            android:dividerHeight="0dp"
            android:background="@android:color/background_light"
            app:headerLayout="@layout/drawer_header"
            app:itemTextColor="@drawable/drawer_selector"
            app:itemIconTint="@drawable/drawer_selector"
            app:itemBackground="@drawable/drawer_bg_selector"
            app:menu="@menu/drawer_menu" />

    </android.support.v4.widget.DrawerLayout>

    <ProgressBar
        android:id="@+id/loading_indicator"
        android:layout_width="56dp"
        android:layout_height="56dp"
        android:visibility="gone"
        android:layout_centerInParent="true"/>

</RelativeLayout>

